Package org.eclipse.m2m.atl.emftvm.trace.impl

# Class TracePackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.m2m.atl.emftvm.trace.impl.TracePackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `TracePackage`

public class TracePackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements TracePackage
An implementation of the model Package.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.m2m.atl.emftvm.trace.TracePackage

`TracePackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.m2m.atl.emftvm.trace.TracePackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, JAVA_LIST, SOURCE_ELEMENT, SOURCE_ELEMENT__DEFAULT_FOR, SOURCE_ELEMENT__MAPS_TO, SOURCE_ELEMENT__MAPS_TO_SELF, SOURCE_ELEMENT__NAME, SOURCE_ELEMENT__OBJECT, SOURCE_ELEMENT__RUNTIME_OBJECT, SOURCE_ELEMENT__SOURCE_OF, SOURCE_ELEMENT__UNIQUE_FOR, SOURCE_ELEMENT_FEATURE_COUNT, SOURCE_ELEMENT_LIST, SOURCE_ELEMENT_LIST__DEFAULT_FOR, SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS, SOURCE_ELEMENT_LIST__UNIQUE_FOR, SOURCE_ELEMENT_LIST_FEATURE_COUNT, TARGET_ELEMENT, TARGET_ELEMENT__MAPS_TO, TARGET_ELEMENT__NAME, TARGET_ELEMENT__OBJECT, TARGET_ELEMENT__RUNTIME_OBJECT, TARGET_ELEMENT__TARGET_OF, TARGET_ELEMENT_FEATURE_COUNT, TRACE_ELEMENT, TRACE_ELEMENT__NAME, TRACE_ELEMENT__OBJECT, TRACE_ELEMENT__RUNTIME_OBJECT, TRACE_ELEMENT_FEATURE_COUNT, TRACE_LINK, TRACE_LINK__OVERRIDDEN, TRACE_LINK__RULE, TRACE_LINK__SOURCE_ELEMENTS, TRACE_LINK__TARGET_ELEMENTS, TRACE_LINK_FEATURE_COUNT, TRACE_LINK_SET, TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS, TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS, TRACE_LINK_SET__RULES, TRACE_LINK_SET_FEATURE_COUNT, TRACED_RULE, TRACED_RULE__LINK_SET, TRACED_RULE__LINKS, TRACED_RULE__RULE, TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS, TRACED_RULE__UNIQUE_SOURCE_ELEMENTS, TRACED_RULE_FEATURE_COUNT`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EDataType`
`getJavaList()`
`org.eclipse.emf.ecore.EClass`
`getSourceElement()`
`org.eclipse.emf.ecore.EReference`
`getSourceElement_DefaultFor()`
`org.eclipse.emf.ecore.EReference`
`getSourceElement_MapsTo()`
`org.eclipse.emf.ecore.EAttribute`
`getSourceElement_MapsToSelf()`
`org.eclipse.emf.ecore.EReference`
`getSourceElement_SourceOf()`
`org.eclipse.emf.ecore.EReference`
`getSourceElement_UniqueFor()`
`org.eclipse.emf.ecore.EClass`
`getSourceElementList()`
`org.eclipse.emf.ecore.EReference`
`getSourceElementList_DefaultFor()`
`org.eclipse.emf.ecore.EReference`
`getSourceElementList_SourceElements()`
`org.eclipse.emf.ecore.EReference`
`getSourceElementList_UniqueFor()`
`org.eclipse.emf.ecore.EClass`
`getTargetElement()`
`org.eclipse.emf.ecore.EReference`
`getTargetElement_MapsTo()`
`org.eclipse.emf.ecore.EReference`
`getTargetElement_TargetOf()`
`org.eclipse.emf.ecore.EClass`
`getTracedRule()`
`org.eclipse.emf.ecore.EReference`
`getTracedRule_Links()`
`org.eclipse.emf.ecore.EReference`
`getTracedRule_LinkSet()`
`org.eclipse.emf.ecore.EAttribute`
`getTracedRule_Rule()`
`org.eclipse.emf.ecore.EReference`
`getTracedRule_UniqueSourceElementLists()`
`org.eclipse.emf.ecore.EReference`
`getTracedRule_UniqueSourceElements()`
`org.eclipse.emf.ecore.EClass`
`getTraceElement()`
`org.eclipse.emf.ecore.EAttribute`
`getTraceElement_Name()`
`org.eclipse.emf.ecore.EReference`
`getTraceElement_Object()`
`org.eclipse.emf.ecore.EAttribute`
`getTraceElement_RuntimeObject()`
`TraceFactory`
`getTraceFactory()`
`org.eclipse.emf.ecore.EClass`
`getTraceLink()`
`org.eclipse.emf.ecore.EAttribute`
`getTraceLink_Overridden()`
`org.eclipse.emf.ecore.EReference`
`getTraceLink_Rule()`
`org.eclipse.emf.ecore.EReference`
`getTraceLink_SourceElements()`
`org.eclipse.emf.ecore.EReference`
`getTraceLink_TargetElements()`
`org.eclipse.emf.ecore.EClass`
`getTraceLinkSet()`
`org.eclipse.emf.ecore.EReference`
`getTraceLinkSet_DefaultSourceElementLists()`
`org.eclipse.emf.ecore.EReference`
`getTraceLinkSet_DefaultSourceElements()`
`org.eclipse.emf.ecore.EReference`
`getTraceLinkSet_Rules()`
`static TracePackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static TracePackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `TracePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `TracePackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getTraceLinkSet

public org.eclipse.emf.ecore.EClass getTraceLinkSet()

Specified by:
  `getTraceLinkSet` in interface `TracePackage`
Returns:
  the meta object for class 'Link Set'.
See Also:
  - `TraceLinkSet`

### getTraceLinkSet_Rules

public org.eclipse.emf.ecore.EReference getTraceLinkSet_Rules()

Specified by:
  `getTraceLinkSet_Rules` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  - `TraceLinkSet.getRules()`
  - `TracePackage.getTraceLinkSet()`

### getTraceLinkSet_DefaultSourceElements

public org.eclipse.emf.ecore.EReference getTraceLinkSet_DefaultSourceElements()

Specified by:
  `getTraceLinkSet_DefaultSourceElements` in interface `TracePackage`
Returns:
  the meta object for the reference list 'Default Source Elements'.
See Also:
  - `TraceLinkSet.getDefaultSourceElements()`
  - `TracePackage.getTraceLinkSet()`

### getTraceLinkSet_DefaultSourceElementLists

public org.eclipse.emf.ecore.EReference getTraceLinkSet_DefaultSourceElementLists()

Specified by:
  `getTraceLinkSet_DefaultSourceElementLists` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Default Source Element Lists'.
See Also:
  - `TraceLinkSet.getDefaultSourceElementLists()`
  - `TracePackage.getTraceLinkSet()`

### getTracedRule

public org.eclipse.emf.ecore.EClass getTracedRule()

Specified by:
  `getTracedRule` in interface `TracePackage`
Returns:
  the meta object for class 'Traced Rule'.
See Also:
  - `TracedRule`

### getTracedRule_Rule

public org.eclipse.emf.ecore.EAttribute getTracedRule_Rule()

Specified by:
  `getTracedRule_Rule` in interface `TracePackage`
Returns:
  the meta object for the attribute 'Rule'.
See Also:
  - `TracedRule.getRule()`
  - `TracePackage.getTracedRule()`

### getTracedRule_Links

public org.eclipse.emf.ecore.EReference getTracedRule_Links()

Specified by:
  `getTracedRule_Links` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Links'.
See Also:
  - `TracedRule.getLinks()`
  - `TracePackage.getTracedRule()`

### getTracedRule_LinkSet

public org.eclipse.emf.ecore.EReference getTracedRule_LinkSet()

Specified by:
  `getTracedRule_LinkSet` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Link Set'.
See Also:
  - `TracedRule.getLinkSet()`
  - `TracePackage.getTracedRule()`

### getTracedRule_UniqueSourceElements

public org.eclipse.emf.ecore.EReference getTracedRule_UniqueSourceElements()

Specified by:
  `getTracedRule_UniqueSourceElements` in interface `TracePackage`
Returns:
  the meta object for the reference list 'Unique Source Elements'.
See Also:
  - `TracedRule.getUniqueSourceElements()`
  - `TracePackage.getTracedRule()`

### getTracedRule_UniqueSourceElementLists

public org.eclipse.emf.ecore.EReference getTracedRule_UniqueSourceElementLists()

Specified by:
  `getTracedRule_UniqueSourceElementLists` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Unique Source Element Lists'.
See Also:
  - `TracedRule.getUniqueSourceElementLists()`
  - `TracePackage.getTracedRule()`

### getTraceLink

public org.eclipse.emf.ecore.EClass getTraceLink()

Specified by:
  `getTraceLink` in interface `TracePackage`
Returns:
  the meta object for class 'Link'.
See Also:
  - `TraceLink`

### getTraceLink_Rule

public org.eclipse.emf.ecore.EReference getTraceLink_Rule()

Specified by:
  `getTraceLink_Rule` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Rule'.
See Also:
  - `TraceLink.getRule()`
  - `TracePackage.getTraceLink()`

### getTraceLink_Overridden

public org.eclipse.emf.ecore.EAttribute getTraceLink_Overridden()

Specified by:
  `getTraceLink_Overridden` in interface `TracePackage`
Returns:
  the meta object for the attribute 'Overridden'.
See Also:
  - `TraceLink.isOverridden()`
  - `TracePackage.getTraceLink()`

### getTraceLink_SourceElements

public org.eclipse.emf.ecore.EReference getTraceLink_SourceElements()

Specified by:
  `getTraceLink_SourceElements` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Source Elements'.
See Also:
  - `TraceLink.getSourceElements()`
  - `TracePackage.getTraceLink()`

### getTraceLink_TargetElements

public org.eclipse.emf.ecore.EReference getTraceLink_TargetElements()

Specified by:
  `getTraceLink_TargetElements` in interface `TracePackage`
Returns:
  the meta object for the containment reference list 'Target Elements'.
See Also:
  - `TraceLink.getTargetElements()`
  - `TracePackage.getTraceLink()`

### getTraceElement

public org.eclipse.emf.ecore.EClass getTraceElement()

Specified by:
  `getTraceElement` in interface `TracePackage`
Returns:
  the meta object for class 'Element'.
See Also:
  - `TraceElement`

### getTraceElement_Name

public org.eclipse.emf.ecore.EAttribute getTraceElement_Name()

Specified by:
  `getTraceElement_Name` in interface `TracePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `TraceElement.getName()`
  - `TracePackage.getTraceElement()`

### getTraceElement_Object

public org.eclipse.emf.ecore.EReference getTraceElement_Object()

Specified by:
  `getTraceElement_Object` in interface `TracePackage`
Returns:
  the meta object for the reference 'Object'.
See Also:
  - `TraceElement.getObject()`
  - `TracePackage.getTraceElement()`

### getTraceElement_RuntimeObject

public org.eclipse.emf.ecore.EAttribute getTraceElement_RuntimeObject()

Specified by:
  `getTraceElement_RuntimeObject` in interface `TracePackage`
Returns:
  the meta object for the attribute 'Runtime Object'.
See Also:
  - `TraceElement.getRuntimeObject()`
  - `TracePackage.getTraceElement()`

### getSourceElement

public org.eclipse.emf.ecore.EClass getSourceElement()

Specified by:
  `getSourceElement` in interface `TracePackage`
Returns:
  the meta object for class 'Source Element'.
See Also:
  - `SourceElement`

### getSourceElement_SourceOf

public org.eclipse.emf.ecore.EReference getSourceElement_SourceOf()

Specified by:
  `getSourceElement_SourceOf` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Source Of'.
See Also:
  - `SourceElement.getSourceOf()`
  - `TracePackage.getSourceElement()`

### getSourceElement_MapsTo

public org.eclipse.emf.ecore.EReference getSourceElement_MapsTo()

Specified by:
  `getSourceElement_MapsTo` in interface `TracePackage`
Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  - `SourceElement.getMapsTo()`
  - `TracePackage.getSourceElement()`

### getSourceElement_DefaultFor

public org.eclipse.emf.ecore.EReference getSourceElement_DefaultFor()

Specified by:
  `getSourceElement_DefaultFor` in interface `TracePackage`
Returns:
  the meta object for the reference 'Default For'.
See Also:
  - `SourceElement.getDefaultFor()`
  - `TracePackage.getSourceElement()`

### getSourceElement_UniqueFor

public org.eclipse.emf.ecore.EReference getSourceElement_UniqueFor()

Specified by:
  `getSourceElement_UniqueFor` in interface `TracePackage`
Returns:
  the meta object for the reference 'Unique For'.
See Also:
  - `SourceElement.getUniqueFor()`
  - `TracePackage.getSourceElement()`

### getSourceElement_MapsToSelf

public org.eclipse.emf.ecore.EAttribute getSourceElement_MapsToSelf()

Specified by:
  `getSourceElement_MapsToSelf` in interface `TracePackage`
Returns:
  the meta object for the attribute 'Maps To Self'.
See Also:
  - `SourceElement.isMapsToSelf()`
  - `TracePackage.getSourceElement()`

### getTargetElement

public org.eclipse.emf.ecore.EClass getTargetElement()

Specified by:
  `getTargetElement` in interface `TracePackage`
Returns:
  the meta object for class 'Target Element'.
See Also:
  - `TargetElement`

### getTargetElement_TargetOf

public org.eclipse.emf.ecore.EReference getTargetElement_TargetOf()

Specified by:
  `getTargetElement_TargetOf` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Target Of'.
See Also:
  - `TargetElement.getTargetOf()`
  - `TracePackage.getTargetElement()`

### getTargetElement_MapsTo

public org.eclipse.emf.ecore.EReference getTargetElement_MapsTo()

Specified by:
  `getTargetElement_MapsTo` in interface `TracePackage`
Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  - `TargetElement.getMapsTo()`
  - `TracePackage.getTargetElement()`

### getSourceElementList

public org.eclipse.emf.ecore.EClass getSourceElementList()

Specified by:
  `getSourceElementList` in interface `TracePackage`
Returns:
  the meta object for class 'Source Element List'.
See Also:
  - `SourceElementList`

### getSourceElementList_SourceElements

public org.eclipse.emf.ecore.EReference getSourceElementList_SourceElements()

Specified by:
  `getSourceElementList_SourceElements` in interface `TracePackage`
Returns:
  the meta object for the reference list 'Source Elements'.
See Also:
  - `SourceElementList.getSourceElements()`
  - `TracePackage.getSourceElementList()`

### getSourceElementList_DefaultFor

public org.eclipse.emf.ecore.EReference getSourceElementList_DefaultFor()

Specified by:
  `getSourceElementList_DefaultFor` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Default For'.
See Also:
  - `SourceElementList.getDefaultFor()`
  - `TracePackage.getSourceElementList()`

### getSourceElementList_UniqueFor

public org.eclipse.emf.ecore.EReference getSourceElementList_UniqueFor()

Specified by:
  `getSourceElementList_UniqueFor` in interface `TracePackage`
Returns:
  the meta object for the container reference 'Unique For'.
See Also:
  - `SourceElementList.getUniqueFor()`
  - `TracePackage.getSourceElementList()`

### getJavaList

public org.eclipse.emf.ecore.EDataType getJavaList()

Specified by:
  `getJavaList` in interface `TracePackage`
Returns:
  the meta object for data type 'Java List'.
See Also:
  - `List`

### getTraceFactory

public TraceFactory getTraceFactory()

Specified by:
  `getTraceFactory` in interface `TracePackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.